# \Thelia\Core\EventDefaultActionEvent

Class thrown on Thelia.action event

call setAction if action match yours

## Summary

Methods
Properties
Constants
__construct()
getAction()
getRequest()
setErrorForm()
getErrorForm()
hasErrorForm()
No public properties found
No constants found
No protected methods found
$request
$action
$errorForm
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/DefaultActionEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\ActionEvent
  \Thelia\Core\Event\DefaultActionEvent

## Tags

None found

## Properties

### $request

    $request : \Thelia\Core\Event\Symfony\Component\HttpFoundation\Request

#### Type

\Thelia\Core\Event\Symfony\Component\HttpFoundation\Request

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### $action

    $action : string

#### Type

string

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### $errorForm

    $errorForm

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request, string $action)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |
string | $action |

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### getAction()

    getAction() : string

#### Returns

string

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### getRequest()

    getRequest() : \Symfony\Component\HttpFoundation\Request

#### Returns

\Symfony\Component\HttpFoundation\Request

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### setErrorForm()

    setErrorForm(\Thelia\Form\BaseForm $form)

#### Parameters

\Thelia\Form\BaseForm | $form |

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### getErrorForm()

    getErrorForm()

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### hasErrorForm()

    hasErrorForm()

#

Inherited from
  \Thelia\Core\Event\ActionEvent

## Tags

None found

### DefaultActionEvent.php